Page MenuHomePhabricator

Add code to read from change_tag_def instead of change_tag.ct_tag
Closed, ResolvedPublic

Description

As part of the migration to normalize change tags in the database, we will need to add code to read from the new change_tag_def table instead of change_tag’s ct_tag column (hidden behind $wgChangeTagsSchemaMigrationStage = MIGRATION_WRITE_BOTH for now).

This needs some work:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2018, 2:20 PM

Change 441340 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Turning change_tag_def store to a service

https://gerrit.wikimedia.org/r/441340

Change 441340 merged by jenkins-bot:
[mediawiki/core@master] Turning change_tag_def store to a service

https://gerrit.wikimedia.org/r/441340

Vvjjkkii renamed this task from Add code to read from change_tag_def instead of change_tag.ct_tag to xddaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from xddaaaaaaa to Add code to read from change_tag_def instead of change_tag.ct_tag.
CommunityTechBot added subscribers: gerritbot, Aklapper.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptAug 11 2018, 6:31 PM

Change 452052 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Add code to read from ct_tag_id in ChangeTags

https://gerrit.wikimedia.org/r/452052

Change 452063 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/OAuth@master] Read from the new column of change_tag

https://gerrit.wikimedia.org/r/452063

Change 452063 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Read from the new column of change_tag

https://gerrit.wikimedia.org/r/452063

Ladsgroup updated the task description. (Show Details)Aug 17 2018, 9:11 PM
Ladsgroup updated the task description. (Show Details)Aug 22 2018, 6:34 PM

Change 455878 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ContentTranslation@master] Add option to read from ct_tag_id instead of ct_tag

https://gerrit.wikimedia.org/r/455878

Ladsgroup updated the task description. (Show Details)Aug 28 2018, 6:05 PM
Ladsgroup updated the task description. (Show Details)

Change 455903 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/FlaggedRevs@master] Make FlaggedRevs read from the new backend for change tag

https://gerrit.wikimedia.org/r/455903

Change 455878 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Add option to read from ct_tag_id instead of ct_tag

https://gerrit.wikimedia.org/r/455878

Change 455903 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Make FlaggedRevs read from the new backend for change tag

https://gerrit.wikimedia.org/r/455903

Ladsgroup updated the task description. (Show Details)Aug 29 2018, 8:00 PM

I removed AbuseFilter as it doesn't read from ct_tag column thus it's not our concern here.

Change 452052 merged by jenkins-bot:
[mediawiki/core@master] Add code to read from ct_tag_id in ChangeTags

https://gerrit.wikimedia.org/r/452052

Change 457970 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Join decomposition on change_tag and change_tag_def when filtering

https://gerrit.wikimedia.org/r/457970

Change 457974 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Add code to read from change_tag_def in API queries

https://gerrit.wikimedia.org/r/457974

Change 457978 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Update API tests to comply with the new backend for change tags

https://gerrit.wikimedia.org/r/457978

Change 457970 merged by jenkins-bot:
[mediawiki/core@master] Join decomposition on change_tag and change_tag_def when filtering

https://gerrit.wikimedia.org/r/457970

Change 457978 merged by jenkins-bot:
[mediawiki/core@master] Update API tests to comply with the new backend for change tags

https://gerrit.wikimedia.org/r/457978

Change 457974 merged by jenkins-bot:
[mediawiki/core@master] API: Use ct_tag_id in queries when applicable

https://gerrit.wikimedia.org/r/457974

Ladsgroup closed this task as Resolved.
Ladsgroup removed a project: Patch-For-Review.
Ladsgroup updated the task description. (Show Details)

Change 459688 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Code to read from change_tag_def table instead of valid_tag

https://gerrit.wikimedia.org/r/459688

Change 459688 merged by jenkins-bot:
[mediawiki/core@master] Code to read from change_tag_def table instead of valid_tag

https://gerrit.wikimedia.org/r/459688